Skip to content
Docs

Create an access group project

POSThttps://api.vercel.com/v1/access-groups/{accessGroupIdOrName}/projects
Allows creation of an access group project
https://api.vercel.com/v1/access-groups/{accessGroupIdOrName}/projects
const response = await fetch('https://api.vercel.com/v1/access-groups/accessGroupIdOrName/projects?teamId=string&slug=string', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"projectId": "prj_ndlgr43fadlPyCtREAqxxdyFK",
"role": "ADMIN"
}),
});
const data = await response.json();
console.log(data);
Response
{
"teamId": "example_id",
"accessGroupId": "example_id",
"projectId": "example_id",
"role": "ADMIN",
"createdAt": "string",
"updatedAt": "string"
}
AuthorizationbearerToken

Default authentication mechanism

accessGroupIdOrNamestringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
projectIdstringRequired
The ID of the project.
rolestringRequired
The project role that will be added to this Access Group.
200Success
teamIdstringRequired
accessGroupIdstringRequired
projectIdstringRequired
rolestringRequired
createdAtstringRequired
updatedAtstringRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
410Error